Bug 121700 - pad mouse (in Laptop) inactive if booting with USB mouse
pad mouse (in Laptop) inactive if booting with USB mouse
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-04-26 06:55 EDT by yuval aviel
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-15 16:31:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description yuval aviel 2004-04-26 06:55:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040422

Description of problem:
Probably the wrong component (xorg), but I have no clue which is the
right one.

With HP Compaq nx 9000 laptop and USB mouse connected, the pad mouse
(the one on the laptop) as well as the laptop's left and right click
are disabled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Attach USB mouse
2. Boot
3. Try to use the laptop's pad mouse and mouse buttons

Actual Results:  nothing happens

Expected Results:  mouse behavior

Additional info:

workaround: Unplag USB mouse, Boot, Plug USB mouse.
Comment 1 Jack Aboutboul 2004-05-02 12:53:19 EDT

     Are you sure your BIOS is set to not autodisable built in
pointers when an external mouse is connected? I suggest you check your
BIOS.  Otherwise, this is probably a kernel level issue and not xorg.
Comment 2 yuval aviel 2004-05-03 10:15:18 EDT
There is no (ok, I havn't seen any) option like that in the BIOS.
Also, notice that the external mouse is a USB mouse. Can the BIOS know
whats goes through the USB?
Comment 3 Kristian Høgsberg 2004-09-14 21:24:57 EDT
Lately there has been quite a few bugfixes in the kernel input code,
which is where this stuff is handled.  Could you try to update to a
recent kernel and see if that fixes the problem?
Comment 4 yuval aviel 2004-09-15 03:05:05 EDT
The problem is fixed now. Not only the mouse pad is working, also the
enable/disable button (on the laptop, near the pad) actually enables
and disables the mouse pad, as it should.

Running kernel linux-

Comment 5 Mike A. Harris 2004-09-15 16:31:42 EDT
Setting status to "RAWHIDE" kernel.

Note You need to log in before you can comment on or make changes to this bug.